Bug 94713 - [Gen8+] ES 3.1 Stencil texturing broken for 2DArray/Cubes
Summary: [Gen8+] ES 3.1 Stencil texturing broken for 2DArray/Cubes
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: i965-deqp
  Show dependency treegraph
 
Reported: 2016-03-26 09:22 UTC by Kenneth Graunke
Modified: 2016-04-27 18:06 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Graunke 2016-03-26 09:22:49 UTC
dEQP-GLES31.functional.stencil_texturing.format.stencil_index8_2d_array and
dEQP-GLES31.functional.stencil_texturing.format.stencil_index8_cube both fail on Broadwell.  These tests simply create a stencil texture, then draw using a shader that samples from it.  Something about multi-layered textures breaks.

No crazy blitting or packed depth/stencil stuff is involved - we simply have a S8 texture and rely on the sampler's W-tiling capabilities.
Comment 1 Kenneth Graunke 2016-03-26 09:24:06 UTC
CC'ing Topi just in case he's bored (not likely!) and knows the solution already.
Comment 2 Ian Romanick 2016-04-12 21:34:08 UTC
See also bug #93704.
Comment 3 Kenneth Graunke 2016-04-26 09:57:20 UTC
I have patches for this.
Comment 4 Kenneth Graunke 2016-04-27 18:06:29 UTC
Fixed by

commit 1e44599a43f6e9e35c4e951d55897c4e5a750fb9
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Tue Apr 26 01:44:51 2016 -0700

    i965: Fix MapTextureImage for multi-slice/level stencil buffers.

and

commit fd9a7d8f30e8a4f73c7973a9d4e59082ecb5c1bf
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Thu Mar 3 01:58:13 2016 -0800

    i965: Enable ARB_texture_stencil8 and OES_texture_stencil8 on Gen8+.


bug/show.html.tmpl processed on Feb 24, 2017 at 01:44:06.
(provided by the Example extension).